//==================================================================================================
//
// basic Greens python functions
// 
//==================================================================================================
//
// Author: Jens Chluba
//
// first implementation:  April 2013
// last modification   :  April 2013
//
//==================================================================================================


%module Greens %{

#define SWIG_FILE_WITH_INIT
#include "Greens.python.h"

%}


//==================================================================================================
// numpy stuff
//==================================================================================================
%include "numpy.i"

%init %{
    import_array();
%}

//==================================================================================================
// string wrapping
//==================================================================================================
%include "std_vector.i"
%include "std_string.i"

// Instantiate templates used by example
namespace std {
    %template(IntVector) vector<int>;
    %template(DoubleVector) vector<double>;
    %template(StringVector) vector<string>;
    %template(ConstCharVector) vector<const char*>;
}

//==================================================================================================
%apply (double* INPLACE_ARRAY1, int DIM1) {(double *nu_GHz, int np)}
%apply (double* INPLACE_ARRAY1, int DIM1) {(double *Sig, int np)}
%apply (double* INPLACE_ARRAY1, int DIM1) {(double *zarr, int np)}
%apply (double* INPLACE_ARRAY1, int DIM1) {(double *params, int np)}
%include "Greens.python.h"

//==================================================================================================
//==================================================================================================
