#===================================================================================================
#! /usr/bin/env python
#===================================================================================================

# System imports
from distutils.core import *
from distutils      import sysconfig

# Third-party modules - we depend on numpy for everything
import numpy

# Obtain the numpy include directory.  This logic works across numpy versions.
try:
    numpy_include = numpy.get_include()
except AttributeError:
    numpy_include = numpy.get_numpy_include()

# Greens_wrap extension module
_Greens = Extension("_Greens",
                   ["Greens.i","Greens.python.cpp"],
                   include_dirs = [numpy_include, "./.", "../.", "../Development",
                                   "/usr/local/include","/opt/local/include"],
                   libraries = ['Greens','gsl', 'gslcblas'],
                   library_dirs=['./.','../.',"/usr/local/lib","/opt/local/lib"],
                   extra_compile_args = ['-fPIC'],
                   swig_opts=['-modern', '-c++']
                   )    

# NumyTypemapTests setup
setup(  name        = "Greens functions",
        description = "This package provides the main Greens functions for Python",
        author      = "J. Chluba",
        version     = "1.0",
        ext_modules = [_Greens]
        )
        
#===================================================================================================
#===================================================================================================
